## org.mortbay.terracotta.servlet
Class TerracottaSessionManager.Lock

    java.lang.Object
      org.mortbay.terracotta.servlet.TerracottaSessionManager.Lock

Enclosing class:
  TerracottaSessionManager

    protected static class TerracottaSessionManager.Lock

extends Object

Method Summary
`protected static Map<String,Integer>` `getLocks()` For testing and debugging purposes only.
`static void` `lock(String lockId)`
`static boolean` `tryLock(String lockId)`
`static void` `unlock(String lockId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### lock

    public static void lock(String lockId)

### tryLock

    public static boolean tryLock(String lockId)

### unlock

    public static void unlock(String lockId)

### getLocks

    protected static Map<String,Integer> getLocks()

  For testing and debugging purposes only.

  Returns:
    the lock ids held by the current thread

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.